#!/bin/sh
# Make one POT file for each package including man pages to be localized
# this script should be run by the maintainer, whenever there is a change
# in a man page included in packages pkgtools and/or slackpkg
ROOT=`dirname "$0"`
export ROOT=`( cd "$ROOT" && cd .. && pwd )`
( cd ${ROOT}/data/man/pkgtools
po4a-gettextize -f man -o groff_code=verbatim \
 -m explodepkg \
 -m installpkg \
 -m makepkg \
 -m pkgtool \
 -m removepkg \
 -m upgradepkg \
 -p ${ROOT}/wip/pkgtools.pot
)
( cd ${ROOT}/data/man/slackpkg
# do this only once to output the slackpkg POT file
po4a-gettextize -f man -o groff_code=verbatim \
 -m slackpkg \
 -m slackpkg.conf \
 -p ${ROOT}/wip/slackpkg.pot
)
echo "Done."
 


